(RHSA-2005:706) cups security update

2005-08-09T04:00:00
ID RHSA-2005:706
Type redhat
Reporter RedHat
Modified 2017-09-08T12:16:02

Description

The Common UNIX Printing System (CUPS) provides a portable printing layer for UNIX(R) operating systems.

When processing a PDF file, bounds checking was not correctly performed on some fields. This could cause the pdftops filter (running as user "lp") to crash. The Common Vulnerabilities and Exposures project has assigned the name CAN-2005-2097 to this issue.

All users of CUPS should upgrade to these erratum packages, which contain a patch to correct this issue.